Subject: bug#11056: closed (Re: bug#11056: 23.3; GNUS documentation error)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 10 Apr 2012 20:35:02 +0000

Your bug report

#11056: 23.3; GNUS documentation error

which was filed against the emacs,gnus package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11056: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11056
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11056: 23.3; GNUS documentation error
From: Lars Magne Ingebrigtsen <[email-masked]>
To: Randy Yates <[email-masked]>
Cc: [email-masked]
Date: Tue, 10 Apr 2012 22:33:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> I didn't fill in any of the above since this is simply a complaint about the
> documentation string for the gnus-summary-move-article function and its
> relatives. 

> The first sentence of that docstring states: 

>   Move the current article to a different newsgroup.

> That sentence is false, depending on the parameters passed. 

> Why couldn't it read

>   Move a group of articles to a different newsgroup.

It says that, because that's what all these commands do if you just call
them without any parameters.

The second line says

If N is a positive number, move the N next articles.

and so on.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/

Subject: 23.3; GNUS documentation error
From: Randy Yates <[email-masked]>
To: <[email-masked]>
Date: Wed, 21 Mar 2012 10:34:53 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

C-h k B m

In GNU Emacs 23.3.2 (x86_64-unknown-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2011-04-13 on dflbhrhel4-64.dal.design.ti.com
Windowing system distributor `The X.Org Foundation', version 11.0.60802000
configured using `configure  '--with-pop' '--prefix=/apps/free/emacs/23.3''

Important settings:
  value of $LC_ALL: C
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: C
  value of $XMODIFIERS: nil
  locale-coding-system: nil
  default enable-multibyte-characters: t

Major mode: Summary

Minor modes in effect:
  show-paren-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
y <return> m a k e SPC i t SPC w o r t h SPC l e a 
v i n g SPC N C . C-a C-x C-s C-e C-p C-n C-p C-e C-n 
C-a C-x C-s C-n C-p C-e SPC C-a C-x C-s C-e <return> 
<return> - - R a n d y <return> C-a C-x C-s C-p C-p 
C-p C-p C-p C-p C-p C-p C-n C-n C-n C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-f C-f C-d C-a C-x 
C-s C-n C-n C-p C-e <C-backspace> n o t C-a C-n C-e 
C-a C-x C-s C-p C-p C-p C-n C-n C-n C-p C-f C-f C-f 
C-f C-f C-d t w o C-f C-f C-f C-f C-f C-f C-f C-f C-f 
C-f C-f C-f C-f C-f C-f C-f C-f C-b C-d i e s C-a C-x 
C-s C-n C-a C-x C-s C-x k <return> C-x k <return> q 
C-p C-u <return> 4 0 <return> C-n C-n <down> <down> 
<down> <down> <down> <down> <down> <down> <up> # # 
C-h k B m C-x o C-n C-n C-n C-n C-n C-n C-n C-n C-n 
C-n C-n C-p q C-h a m a r k <return> C-x o C-s g n 
u s <return> C-a C-s m o v e C-s C-s C-s C-s C-s C-s 
C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s C-s 
C-s C-s C-g C-g M-v C-v q C-x o C-h k B r C-h k B m 
q C-g B m C-g C-g M-x r e p o r t - e m a c s - b u 
g <return>

Recent messages:
Mark saved where search started
Quit
Type C-x 4 C-o RET to restore the other window.
Expiring articles...
imap: Connecting to imap.mail.ti.com...
Opening STARTTLS connection to `imap.mail.ti.com:143'...done
imap: Connecting with STARTTLS...
imap: Connecting to imap.mail.ti.com...failed
Unable to open server nnimap+OutlookServer, go offline? (y or n) 
Quit [2 times]
Quit

Load-path shadows:
None found.

Features:
(shadow emacsbug multi-isearch apropos help-mode view newcomment mailalias
smtpmail gnus-cite ansi-color mail-extr gnus-async gnus-bcklg sort byte-opt
bytecomp byte-compile parse-time timezone gnus-ml disp-table nnfolder utf-7 utf7
auth-source starttls nnimap imap nndraft nnmh gnus-agent gnus-srvr gnus-score
score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 pgg pgg-parse pgg-def
epg-config mm-view smime dig nntp gnus-cache gnus-sum nnoo gnus-group gnus-undo
nnmail mail-source format-spec gnus-start gnus-spec gnus-int gnus-range message
ecomplete rfc822 mml mml-sec password-cache mm-decode mm-bodies mm-encode
mailcap mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev gmm-utils
mailheader canlock sha1 hex-util hashcash gnus-win gnus gnus-ems nnheader
gnus-util netrc time-date mail-utils mm-util mail-prsvr package paren delsel
cus-start cus-load vc vc-dispatcher derived ediff-merg ediff-diff ediff-wind
ediff-help ediff-util ediff-mult ediff-init ediff clearcase advice help-fns
advice-preload tq executable dired comint ring arrivedsafely color-theme edmacro
kmacro wid-edit cl cl-19 sendmail regexp-opt reporter easymenu tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd
fontset image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core frame cham
georgian utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese case-table epa-hook jka-cmpr-hook help simple abbrev loaddefs button
minibuffer faces cus-face files text-properties overlay md5 base64 format env
code-pages mule custom widget hashtable-print-readable backquote
make-network-process font-render-setting x-toolkit x multi-tty emacs)

-- 
Greetings New User! Your email address and a clever or insightful
quote or saying should be placed in this file before posting news
or sending mail.

Hi Folks,

I didn't fill in any of the above since this is simply a complaint about the
documentation string for the gnus-summary-move-article function and its
relatives. 

The first sentence of that docstring states: 

  Move the current article to a different newsgroup.

That sentence is false, depending on the parameters passed. 

Why couldn't it read

  Move a group of articles to a different newsgroup.

? Then each of the subsequent cases define what the "group" is based on the
parameters. This way the statement is true for all cases of input parameters.

I read the first sentence and concluded that function wasn't what I needed. I
then spent 10 minutes in #emacs figuring out it DOES do what I need (move marked
articles).

[email-masked]
[email-masked]